public inbox for b.a.t.m.a.n@lists.open-mesh.org
 help / color / mirror / Atom feed
From: Sven Eckelmann <sven@narfation.org>
To: b.a.t.m.a.n@lists.open-mesh.org
Subject: [B.A.T.M.A.N.] [PATCH 4/6] batman-adv: Revert "compat: Move netlink const compat to coccinelle"
Date: Mon, 31 Oct 2016 08:36:27 +0100	[thread overview]
Message-ID: <20161031073629.31819-4-sven@narfation.org> (raw)
In-Reply-To: <1637163.TC9CcXIrIP@sven-edge>

The coccinelle in Debian Jessie seems to be broken. It fails to parse
the patches and thus makes it impossible to use the out-of-tree
module in these systems. Therefore drop it for now.

This reverts commit 2f9f52d1dfc417201028cc65f91aaddc5eaf493a.

Signed-off-by: Sven Eckelmann <sven@narfation.org>
---
 Makefile                             |  3 ++-
 compat-patches/0002-genl-const.INFO  | 15 ---------------
 compat-patches/0002-genl-const.cocci | 10 ----------
 compat-patches/replacements.sh       |  9 +++++++++
 4 files changed, 11 insertions(+), 26 deletions(-)
 delete mode 100644 compat-patches/0002-genl-const.INFO
 delete mode 100644 compat-patches/0002-genl-const.cocci
 create mode 100755 compat-patches/replacements.sh

diff --git a/Makefile b/Makefile
index e9c499f..67f1988 100644
--- a/Makefile
+++ b/Makefile
@@ -108,7 +108,7 @@ install: config $(SOURCE_STAMP)
 config:
 	$(PWD)/gen-compat-autoconf.sh $(PWD)/compat-autoconf.h
 
-$(SOURCE_STAMP): $(SOURCE) compat-patches/*
+$(SOURCE_STAMP): $(SOURCE) compat-patches/* compat-patches/replacements.sh
 	$(MKDIR) $(BUILD_DIR)/net/batman-adv/
 	@$(LN) ../Makefile $(BUILD_DIR)/Makefile
 	@$(RM) $(SOURCE_BUILD)
@@ -126,6 +126,7 @@ $(SOURCE_STAMP): $(SOURCE) compat-patches/*
 			$(SPATCH) $(SPATCH_FLAGS) --dir $(BUILD_DIR) --sp-file compat-patches/$${i} > /dev/null; \
 		fi; \
 	done
+	compat-patches/replacements.sh
 	touch $(SOURCE_STAMP)
 
 .PHONY: all clean install config
diff --git a/compat-patches/0002-genl-const.INFO b/compat-patches/0002-genl-const.INFO
deleted file mode 100644
index 192c5c6..0000000
--- a/compat-patches/0002-genl-const.INFO
+++ /dev/null
@@ -1,15 +0,0 @@
-Newer kernels make generic netlink ops and multicast groups
-const, but older can't have that. We therefore introduce
-__genl_const, which can be defined depending on the kernel.
-
-What kernel versions require this?
-
-XXX: try to SmPLify
-
-The struct genl_ops gave the *option* to make it const via:
-mcgrof@ergon ~/linux (git::master)$ git describe --contains f84f771d9
-v3.13-rc1~33^2~32^2~2
-
-The struct genl_multicast_group was *forced* to be const via:
-mcgrof@ergon ~/linux (git::master)$ git describe --contains 2a94fe48f
-v3.13-rc1~33^2^2
diff --git a/compat-patches/0002-genl-const.cocci b/compat-patches/0002-genl-const.cocci
deleted file mode 100644
index 36c71d6..0000000
--- a/compat-patches/0002-genl-const.cocci
+++ /dev/null
@@ -1,10 +0,0 @@
-@@
-attribute __genl_const;
-@@
-(
--const struct genl_multicast_group
-+__genl_const struct genl_multicast_group
-|
--const struct genl_ops
-+__genl_const struct genl_ops
-)
diff --git a/compat-patches/replacements.sh b/compat-patches/replacements.sh
new file mode 100755
index 0000000..7dcb953
--- /dev/null
+++ b/compat-patches/replacements.sh
@@ -0,0 +1,9 @@
+#! /bin/sh
+
+set -e
+
+# for kernel < 3.13 to make netlink compat code work
+sed -i \
+	-e 's/^static const struct genl_multicast_group batadv_netlink_mcgrps/static __genl_const struct genl_multicast_group batadv_netlink_mcgrps/' \
+	-e 's/^static const struct genl_ops batadv_netlink_ops/static __genl_const struct genl_ops batadv_netlink_ops/' \
+	build/net/batman-adv/netlink.c
-- 
2.10.1


  parent reply	other threads:[~2016-10-31  7:36 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-10-31  7:35 [B.A.T.M.A.N.] [PATCH 0/6] batman-adv: Revert coccinelle compat support Sven Eckelmann
2016-10-31  7:36 ` [B.A.T.M.A.N.] [PATCH 1/6] batman-adv: Revert "compat: Move vid api wrapper to coccinelle" Sven Eckelmann
2016-10-31  7:36 ` [B.A.T.M.A.N.] [PATCH 2/6] batman-adv: Revert "compat: Move get_link_net patch " Sven Eckelmann
2016-10-31  7:36 ` [B.A.T.M.A.N.] [PATCH 3/6] batman-adv: Revert "compat: Replace IFF_NO_QUEUE with coccinelle" Sven Eckelmann
2016-10-31  7:36 ` Sven Eckelmann [this message]
2016-11-01  0:46   ` [B.A.T.M.A.N.] [PATCH 4/6] batman-adv: Revert "compat: Move netlink const compat to coccinelle" Linus Lüssing
2016-11-01  0:53     ` Linus Lüssing
2016-10-31  7:36 ` [B.A.T.M.A.N.] [PATCH 5/6] batman-adv: Revert "compat: Port netlink port hack " Sven Eckelmann
2016-10-31  7:36 ` [B.A.T.M.A.N.] [PATCH 6/6] batman-adv: Revert "Add support for coccinelle in compat-patches" Sven Eckelmann
2016-11-01  0:24 ` [B.A.T.M.A.N.] [PATCH 0/6] batman-adv: Revert coccinelle compat support Linus Lüssing
2016-11-08 16:17 ` Simon Wunderlich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20161031073629.31819-4-sven@narfation.org \
    --to=sven@narfation.org \
    --cc=b.a.t.m.a.n@lists.open-mesh.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox